Skip to main content
POST
/
api
/
workspaces
/
{id}
/
tools
/
{tool}
/
launch
Launch a tool in the workspace.
curl --request POST \
  --url https://api.rigbox.dev/api/workspaces/{id}/tools/{tool}/launch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "max_depth": 1,
  "max_projects": 1,
  "project_root": "<string>"
}
'
{
  "message": "<string>",
  "status": "<string>",
  "started_at_ms": 1,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Workspace ID

tool
string
required

Tool ID

Body

application/json
max_depth
integer<int32> | null
Required range: x >= 0
max_projects
integer<int32> | null
Required range: x >= 0
project_root
string | null

Response

200 - application/json

Tool launch result

message
string
required
status
string
required
started_at_ms
integer<int64> | null
Required range: x >= 0
url
string | null